package com.roseindia.wicket;

import org.apache.wicket.Component;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.extensions.ajax.markup.html.AjaxLazyLoadPanel;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.image.Image;
import org.apache.wicket.model.Model;

public class LazyLoad extends WebPage{
public LazyLoad()
    {
        add(new Image("image", new Model("beach1.gif")));
        add(new AjaxLazyLoadPanel("lazy")
        {
            @Override
            public Component getLazyLoadComponent(String id)
            {
                try{
                    Thread.sleep(3000);
                }
                catch (InterruptedException e){
                    throw new RuntimeException(e);
                }
                return new Label(id, "Beach Image");
            }
        });
    }
}